Package Details: sourcery-codebench-arm-none-eabi 2014.05-1

Git Clone URL: (read-only)
Package Base: sourcery-codebench-arm-none-eabi
Description: Sourcery CodeBench Lite for ARM NONE EABI
Upstream URL:
Licenses: custom
Submitter: gifts
Maintainer: ImAli
Last Packager: ImAli
Votes: 27
Popularity: 0.000000
First Submitted: 2014-02-17 21:38
Last Updated: 2015-08-16 11:00

Latest Comments

marmottus commented on 2014-08-21 09:26

@mox I fixed this error by adding "staticlibs" in the options

options=(!strip staticlibs)

Without this options, static libs were not added and the compiler could not find them.

mox commented on 2014-08-13 20:38

I get the same error as iorbitearth:

arm-none-eabi-gcc: fatal error: selected multilib 'thumb2' not installed

mox commented on 2014-08-13 20:09

I think there should be a provides and conflicts field in the pkgbuild containing the 'standard' packages the codesourcery toolchain replaces:

provides=('arm-none-eabi-gcc' 'arm-none-eabi-binutils' 'arm-none-eabi-gdb')
conflicts=('arm-none-eabi-gcc' 'arm-none-eabi-binutils' 'arm-none-eabi-gdb')

And upon building I got an error with the conditional depends, which went away when I changed


if test "$CARCH" == x86_64; then

best regards,

anatolik commented on 2014-02-18 20:26

arm-none-eabi-* is the recommended name for cross-tools like arm-none-eabi-gcc arm-none-eabi-gdb. These packages will be moved to [community] in a few weeks.

But arm-2010-arm-none-eabi should either merged here or deleted/reuploaded with correct name. What is you opinion? Are there any other duplicated packages for sourcery-codebench?

anatolik commented on 2014-02-18 20:18

Thanks. Merged.

Is there any reason for existence? Should it be merged into sourcery-codebench-arm-none-eabi?

anatolik commented on 2014-02-18 20:18

Is there any reason to use this package instead of If yes then at least it should be renamed to something like sourcery-codebench-arm-none-eabi-2011

gifts commented on 2014-02-17 21:38

Uploaded to

gifts commented on 2014-02-17 12:31

@anatolik, actually all *arm*-none-eabi* packages are confusing (like arm-2010-arm-none-eabi, arm-none-eabi-* and gcc--arm-none-eabi). And some manuals for compiling are directed to current package names. But ok, I can rename this package, but a little bit later today.

anatolik commented on 2014-02-16 13:13

@gifts, please reupload the package with different name (sourcery-codebench sourcery-codebench-arm sourcery-codebench-line or something like this) and then I merge it there.

anatolik commented on 2014-02-15 13:56

The name of the package is too confusing IMO. It should be renamed to something like 'sourcery-codebench-lite' or 'sourcery-codebench-lite-bin'

All comments